local cell = class:extend()
cell.new = function( self, x, y, hp)
  self.gp = vec(x,y)
  self.p = vec(x,y) * game.tile
  self.hp = hp or 1
end
cell.die = function( self)
  self.isDead = true
end
cell.damage = function( self, dmg)
  self.hp = self.hp - dmg
  if self.hp <= 0 then
    self:die()
  end
end
cell.setPosition = function( self, x, y)
  self.gp = vec( x, y)
  self.p = self.gp *game.tile
end
return cell
