local img = love.graphics.newImage("img/help.png")
local img2 = love.graphics.newImage("img/help_icons.png")

local help = {}
help.init = function( self)
  local g = anim8.newGrid(400, 300, 800, 600)
  self.ani = anim8.newAnimation(g('1-2',1, '1-2',2), 0.2)
end
help.enter = function( self)
  screen.setMode( 400, 300 )
end
help.update = function( self, dt)
  self.ani:update(dt)
end
help.draw = function( self)
  love.graphics.setColor(255, 255, 255)
  love.graphics.draw( img)
  self.ani:draw( img2)
end
help.keypressed = function( self, k)
  if k == "x" or k == 'return' then
    return Gamestate.switch( intro)
  end
end

return help
