local img = love.graphics.newImage("img/intro.png")
local bgm = love.audio.newSource( "snd/intro.ogg", "stream") --https://opengameart.org/content/stereotypical-90s-space-shooter-music

local help = require "help"
local int = {}
int.init = function( self)
  local g = anim8.newGrid( 200, 200, 400, 400)
  self.ani = anim8.newAnimation( g('1-2',1, '1-2',2), 0.2)
end
int.enter = function( self)
  screen.setMode( 200, 200 )
  bgm:play()
end
int.update = function( self, dt)
  self.ani:update(dt)
end
int.draw = function( self)
  love.graphics.setColor(255, 255, 255)
  self.ani:draw( img)
end
int.keypressed = function( self, k)
  if k == "x" or k == 'return' then
    return Gamestate.switch( game)
  end
  if k == "f1" then
    return Gamestate.switch( help)
  end
end

return int
