Gamestate = require "libs.hump.gamestate"
-- HC = require 'libs.hardoncollider'
timer = require "libs.hump.timer"
class= require "libs.classic"
anim8 = require 'libs.anim8'
vec = require "libs.vector"

screen = vec( love.graphics.getDimensions( ))
screen.scale = 1
function screen.center( )
	return (screen/2):unpack()
end
function screen.setMode( x, y)
	love.window.setMode( x*screen.scale, y*screen.scale )
	screen.x, screen.y = x, y
end
function screen.setScale( s)
	screen.scale = s
	love.window.setMode( screen.x*screen.scale, screen.y*screen.scale )
end

love.math.setRandomSeed(os.time())
_debug=true

function distance(x1,y1, x2,y2)
	return ((x2-x1)^2+(y2-y1)^2)^0.5
end

function intersects( x, y, w, h, x2, y2, w2, h2)
    local xw = x + w
    local yh = y + h
    local xw2 = x2 + w2
    local yh2 = y2 + h2
    return (xw >= x2 and x <= xw2 and yh >= y2 and y <= yh2)
end

love.graphics.setDefaultFilter("nearest","nearest" )


intro = require "intro"
game = require "game"
gameover = require "gameover"
pause = require "pause"
warp = require "warp"

function love.load()
    Gamestate.registerEvents()
    Gamestate.switch(intro)
end
function love.keypressed(key)
	if key == "escape" then
	    return love.event.quit()
	end
end
