local pause = {}
pause.init = function( self)
  self.img = love.graphics.newImage("img/pause.png")
end
pause.enter = function( self, from)
  self.from = from
  local x,y = love.graphics.getDimensions( )
  self.x = x/2 - 110
  self.y = y/2 - 35
end
pause.draw = function( self)
  self.from:draw()
  love.graphics.setColor(255, 255, 255)
  love.graphics.draw(self.img, self.x, self.y,scale,scale)
end
pause.keypressed = function( self, k)
  if k == 'p' then
    return Gamestate.pop()
  end
end

return pause
